<?php
$vehicleTypeData = [];
if (isset($data['vehicle_types'])) {
  foreach ($data['vehicle_types'] as $idx => $vType) {
    if(((is_array($ctrDisplay->getSettings()['show_vehicles'])) && array_key_exists(strtolower($vType['slug']), $ctrDisplay->getSettings()['show_vehicles'])) || !is_array($ctrDisplay->getSettings()['show_vehicles'])) {
      $translatedSlug = $ctrHelpers->translate_vehicle_type(strtolower($vType['slug']), $ctrDisplay->getSettings()['display_lang']);
      $vehicleTypeData[$idx]['translatedSlug'] = $translatedSlug . $data['trailingSlash'];
      $vehicleTypeData[$idx]['slug'] = $vType['slug'];
      $vehicleTypeData[$idx]['name'] = ucfirst(str_replace('-', ' ', $translatedSlug));
    }
  }

  $injectData = [
    'urlAssets' => $ASSETS_URL,
    'start_url' => $data['start_url'],
    'lblSelectASerie' => esc_html__('Please select a serie for', 'ctr'),
    'dataTypes' => $vehicleTypeData,
    'is_admin' => $data['is_admin'],
  ];

  if (file_exists($CUSTOM_TPL_PATH . 'types.template.php')) {
    echo '<!--- Custom template found, loading from there --->';
    $ctrDisplay->renderFile('types', $injectData, $CUSTOM_TPL_PATH);
  } else {
    $ctrDisplay->renderFile('types', $injectData);
  }
} else {
  ?>
  <div class="row">
    <h5>Sorry no data found, please check your API key</h5>
  </div>
  <?php
}
?>