<?php
return ''; // This functionality is currently not available.
require_once plugin_dir_path( dirname( __DIR__ ) ) . 'includes/class-ctr-templator.php';
$ctrTemplator = new CTR_Templator();
$injectData = [
    'lblSearchAnotherVehicle' => esc_html__('Search another vehicle', 'ctr'),
    'lblGo' => esc_html__('Go!', 'ctr'),
];
// Check if a custom template exists in the theme folder, if not, load the plugin template file
if ((isset($CUSTOM_TPL_PATH)) && (file_exists($CUSTOM_TPL_PATH . 'partials/search.template.php'))) {
    echo '<!--- Custom template found, loading from there --->';
    $ctrTemplator->renderFile('partials.search', $injectData, $CUSTOM_TPL_PATH);
} else {
    $ctrTemplator->renderFile('partials.search', $injectData);
}
?>
<script>
jQuery(document).ready(function($) {
    var target = '';
    function log( message ) {
      $( "<div>" ).text( message ).prependTo( "#log" );
      $( "#log" ).scrollTop( 0 );
    }
    select: function( event, ui ) {
        $('#selectedSearchResult').val(ui.item.selected_id);
        $('#goToResult').attr('href', '<?php echo $PLUGIN_ROOT_URL; ?>/' + ui.item.slug);
        $('#goToResult').addClass('button-glow');
        target = '<?php echo $PLUGIN_ROOT_URL; ?>/' + ui.item.slug;
        },
    minLength: 3,
    delay: 1
    });

    $("#ctrSearch").submit(function(e){ 
        if($('#selectedSearchResult').val() !== '') {
            //todo: check if we have a selected ID, otherwise return the search results
            $('#ctrSearchInput').val(' -- loading your vehicle... --');
            $("#ctrSearchInput").fadeOut(5000);
            $("#goToResult").fadeOut(5000);
            
            location.href = target
            $('#goToResult').attr('disabled', 'disabled');
            return false;
        } else {
            e.preventDefault();
            return false;
        }
        
    });
});
</script>