<!-- START TEMPLATE -->
<div class="col-md-12 text-center">
    <div class="col">
        <h2>{{ $lblSelectAModel }} {{ $lblBrandName }} {{ $lblSerieName }}</h2>
    </div>
</div>
<div class="row horSpaceRow">
    <!-- Space row -->
</div>
<div class="container">
    <div class="row align-items-center">
            <div class="models-grid list-unstyled row">
                @foreach($dataModels as $modelItem)
                <div class="col-6 col-sm-4 col-md-3 col-lg-2 center-block">
                    <div class="text-center ctrBlock ctrBlockModel">
                        <a href="{{ $modelItem['slug'] }}">
                            <div class="serieImage">{!! $modelItem['image'] !!}</div>
                            <span class="block-text show-text">
                                <h3>{{ $modelItem['name'] }}</h3>
                                <span class="itemcount">{{ $modelItem['enginecount'] }} {{ $lblItems }}</span>
                            </span>
                        </a>
                    </div>
                </div>
                @endforeach
            </div>
        @if(!$isRedirected)
        <div class="w-100 backToUrlRow col-md-12 text-center">
            <a class="ctr_button ctr_button__bottom--back" href="{{ $backUrl }}{{ $trailingSlash }}" title="{{ $lblBrandName }} {{ $lblSerieName }}">
                {{ $lblBackTo}} {{ $lblBrandName }}
            </a>
        </div>
        @endif
    </div>
</div>
<div class="row horSpaceRow">
    <!-- Space row -->
</div>
<!-- END TEMPLATE -->